---
document: modulemd
version: 2
data:
  name: mongodb
  stream: "3.6"
  version: 8050020211216131958
  context: 6ab0932b
  arch: ppc64le
  summary: MongoDB Module
  description: >-
    Mongo from humongous is a high-performance, open source, schema-free document-oriented
    database. MongoDB is written in C++ and offers the following features. Collection
    oriented storage, easy storage of object/JSON-style data. Dynamic queries. Full
    index support, including on inner objects and embedded arrays. Query profiling.
    Replication and fail-over support. Efficient storage of binary data including
    large objects (e.g. photos and videos). Auto-sharding for cloud-level scalability
    (currently in early alpha). Commercial Support Available. A key goal of MongoDB
    is to bridge the gap between key/value stores (which are fast and highly scalable)
    and traditional RDBMS systems (which are deep in functionality).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      go-toolset: [rhel8]
      javapackages-tools: [201801]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://docs.pagure.org/modularity/
    documentation: https://github.com/container-images/mongodb/
    tracker: https://github.com/modularity-modules/mongodb
  profiles:
    client:
      rpms:
      - mongo-tools
      - mongodb
    default:
      rpms:
      - mongodb
      - mongodb-server
    server:
      rpms:
      - mongodb-server
  api:
    rpms:
    - mongo-tools
    - mongodb
    - mongodb-server
  filter:
    rpms:
    - jcl-over-slf4j
    - jctools-experimental
    - jctools-javadoc
    - jctools-parent
    - jul-to-slf4j
    - log4j-over-slf4j
    - mongo-tools-devel
    - mongodb-test
    - netty-javadoc
    - python-pymongo-doc
    - python3-bson
    - python3-cheetah
    - python3-pymongo
    - python3-pymongo-gridfs
    - slf4j-ext
    - slf4j-javadoc
    - slf4j-jcl
    - slf4j-jdk14
    - slf4j-log4j12
    - slf4j-manual
    - slf4j-sources
    - snappy-java-javadoc
    - yaml-cpp-devel
    - yaml-cpp-static
  buildopts:
    rpms:
      macros: >
        %_with_xmvn_javadoc 1

        %_with_jp_minimal 1

        %_without_tests 1

        %_without_python2 1
  components:
    rpms:
      jctools:
        rationale: Runtime dependency of netty.
        ref: af61df46559b6b07309a915ec3ef2fa609feb0ea
        arches: [ppc64le]
      mongo-java-driver:
        rationale: Java driver for MongoDB
        ref: a1e988183217be714a113e699fce14949e1db9f1
        buildorder: 2
        arches: [ppc64le]
      mongo-tools:
        rationale: MongoDB tools provides import, export, and diagnostic capabilities.
        ref: 01bb182c5a82604b3f155f95b5fdd2eed0442c59
        arches: [ppc64le]
      mongodb:
        rationale: MongoDB package.
        ref: 62e2457f08a119cf5a1d41b03f69fe5583e6997d
        buildorder: 2
        arches: [ppc64le]
      netty:
        rationale: Runtime dependency of mongo-java-driver.
        ref: c84caa81fd8f809cdae53719bff1d02838e1b47b
        buildorder: 1
        arches: [ppc64le]
      python-cheetah:
        rationale: MongoDB build-only dependecy.
        ref: cb2286daad61d9fd57e956da4aa269e33c878002
        arches: [ppc64le]
      python-pymongo:
        rationale: MongoDB dependecy for running testsuite.
        ref: e0ddb8f7b441a31ee99d56f421614bafc25ad98c
        arches: [ppc64le]
      slf4j:
        rationale: Runtime dependency of mongo-java-driver.
        ref: d1418607430909eb32ec4ba8c38986c861431db8
        arches: [ppc64le]
      snappy-java:
        rationale: Optional runtime dependency of mongo-java-driver.
        ref: 3405b7d8782a1d5d0ba1db0980b7f55706e70316
        arches: [ppc64le]
      yaml-cpp:
        rationale: MongoDB dependency.
        ref: 7b5cc0e2139ae79c86c093395c9844fb1bfcdedf
        arches: [ppc64le]
  artifacts:
    rpms:
    - jctools-0:2.0.2-2.module_el8.5.0+131+9976a522.noarch
    - jctools-0:2.0.2-2.module_el8.5.0+131+9976a522.src
    - mongo-java-driver-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-java-driver-0:3.6.4-1.module_el8.5.0+131+9976a522.src
    - mongo-java-driver-bson-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-java-driver-driver-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-java-driver-driver-async-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-java-driver-driver-core-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-java-driver-javadoc-0:3.6.4-1.module_el8.5.0+131+9976a522.noarch
    - mongo-tools-0:3.6.6-1.module_el8.5.0+131+9976a522.src
    - mongodb-0:3.6.8-1.module_el8.5.0+131+9976a522.ppc64le
    - mongodb-0:3.6.8-1.module_el8.5.0+131+9976a522.src
    - mongodb-debuginfo-0:3.6.8-1.module_el8.5.0+131+9976a522.ppc64le
    - mongodb-debugsource-0:3.6.8-1.module_el8.5.0+131+9976a522.ppc64le
    - mongodb-server-0:3.6.8-1.module_el8.5.0+131+9976a522.ppc64le
    - mongodb-server-debuginfo-0:3.6.8-1.module_el8.5.0+131+9976a522.ppc64le
    - netty-0:4.1.13-5.module_el8.5.0+131+9976a522.ppc64le
    - netty-0:4.1.13-5.module_el8.5.0+131+9976a522.src
    - python-cheetah-0:3.1.0-4.module_el8.5.0+131+9976a522.src
    - python-cheetah-debugsource-0:3.1.0-4.module_el8.5.0+131+9976a522.ppc64le
    - python-pymongo-0:3.7.0-1.module_el8.5.0+131+9976a522.src
    - python-pymongo-debuginfo-0:3.7.0-1.module_el8.5.0+131+9976a522.ppc64le
    - python-pymongo-debugsource-0:3.7.0-1.module_el8.5.0+131+9976a522.ppc64le
    - slf4j-0:1.7.28-3.module_el8.5.0+131+9976a522.src
    - snappy-java-0:1.1.2.4-8.module_el8.5.0+131+9976a522.ppc64le
    - snappy-java-0:1.1.2.4-8.module_el8.5.0+131+9976a522.src
    - yaml-cpp-0:0.6.1-2.module_el8.5.0+131+9976a522.ppc64le
    - yaml-cpp-0:0.6.1-2.module_el8.5.0+131+9976a522.src
    - yaml-cpp-debuginfo-0:0.6.1-2.module_el8.5.0+131+9976a522.ppc64le
    - yaml-cpp-debugsource-0:0.6.1-2.module_el8.5.0+131+9976a522.ppc64le
...
